## GMimeFilterGZip GMimeFilterGZip — GNU Zip compression/decompression |

## Functions

GMimeFilter * | g_mime_filter_gzip_new ()

## Types and Values

struct | GMimeFilterGZip
enum | GMimeFilterGZipMode

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterGZip

## Description

A GMimeFilter used for compressing or decompressing a stream using GNU Zip.

## Functions

### g_mime_filter_gzip_new ()

    GMimeFilter *
    g_mime_filter_gzip_new (GMimeFilterGZipMode mode,
                            int level);

Creates a new gzip (or gunzip) filter.

#### Parameters

mode | zip or unzip |
level | compression level |

#### Returns

a new gzip (or gunzip) filter.

## Types and Values

### struct GMimeFilterGZip

    struct GMimeFilterGZip;

A filter for compresing or decompressing a gzip stream.

#### Members

### enum GMimeFilterGZipMode

The mode for the GMimeFilterGZip filter.

#### Members

GMIME_FILTER_GZIP_MODE_ZIP | Compress (zip) mode. |
GMIME_FILTER_GZIP_MODE_UNZIP | Uncompress (unzip) mode. |

## See Also

GMimeFilter